Package com.microsoft.sqlserver.jdbc.dataclassification

## Enum SensitivityClassification.SensitivityRank

- java.lang.Object
- - java.lang.Enum<SensitivityClassification.SensitivityRank>
  - - com.microsoft.sqlserver.jdbc.dataclassification.SensitivityClassification.SensitivityRank

All Implemented Interfaces:
  `Serializable`, `Comparable<SensitivityClassification.SensitivityRank>`

Enclosing class:
  SensitivityClassification

    public static enum SensitivityClassification.SensitivityRank
    extends Enum<SensitivityClassification.SensitivityRank>

Sensitivity Rank https://docs.microsoft.com/sql/relational-databases/system-catalog-views/sys-sensitivity-classifications-transact-sql

### Enum Constant Summary

Enum Constants
`CRITICAL` rank CRITICAL
`HIGH` rank HIGH
`LOW` rank LOW
`MEDIUM` rank MEDIUM
`NONE` rank NONE
`NOT_DEFINED` rank not defined

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()` Get rank value
`static boolean` `isValid​(int rank)` Check if sensitivity rank value is valid
`static SensitivityClassification.SensitivityRank` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SensitivityClassification.SensitivityRank[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_DEFINED

    public static final SensitivityClassification.SensitivityRank NOT_DEFINED

rank not defined

#### NONE

    public static final SensitivityClassification.SensitivityRank NONE

rank NONE

#### LOW

    public static final SensitivityClassification.SensitivityRank LOW

rank LOW

#### MEDIUM

    public static final SensitivityClassification.SensitivityRank MEDIUM

rank MEDIUM

#### HIGH

    public static final SensitivityClassification.SensitivityRank HIGH

rank HIGH

#### CRITICAL

    public static final SensitivityClassification.SensitivityRank CRITICAL

rank CRITICAL

### Method Detail

#### values

    public static SensitivityClassification.SensitivityRank[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SensitivityClassification.SensitivityRank c : SensitivityClassification.SensitivityRank.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SensitivityClassification.SensitivityRank valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Get rank value

Returns:
  rank

#### isValid

    public static boolean isValid​(int rank)
                           throws SQLServerException

Check if sensitivity rank value is valid

Parameters:
  `rank` - rank
Returns:
  if sensitivity rank value is valid
Throws:
  `SQLServerException` - if error